Bug 570731 - Review Request: ibus-handwrite - IBus handwrite project
Summary: Review Request: ibus-handwrite - IBus handwrite project
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chen Lei
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: i18n
Depends On: 562366
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-05 08:43 UTC by Peng Wu
Modified: 2014-09-29 11:57 UTC (History)
11 users (show)

Fixed In Version: ibus-handwrite-2.1.0-2.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-07 22:18:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
supercyper1: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Peng Wu 2010-03-05 08:43:07 UTC
Spec URL: http://people.fedoraproject.org/~pwu/ime/ibus-handwrite.spec
SRPM URL: http://people.fedoraproject.org/~pwu/ime/ibus-handwrite-1.2.0.20100205-1.fc12.src.rpm
Description: 
IBus handwrite project.
hand write recognition/input using ibus IM engine

Comment 1 Peng Wu 2010-03-05 08:55:06 UTC
Wait for the zinnia package. (see also: #562366)

Comment 2 Chen Lei 2010-03-10 12:37:35 UTC
The model file(SOURCE1) maybe come from Zinnia-Tomoe package, model can be compiled from model.txt file.


% tar zxfv zinnia-tomoe-XXXX.tar.gz
% zinnia-tomoe-XXXX
% ./configure
% make
% su
# make install
See http://zinnia.sourceforge.net/

Comment 3 Peng Wu 2010-03-12 02:42:15 UTC
(In reply to comment #2)
> The model file(SOURCE1) maybe come from Zinnia-Tomoe package, model can be
> compiled from model.txt file.

Hi Chen Lei,
Thanks for informing me this.
Would you like to co-maintain this package?

The updated srpm and spec is here:
Spec URL: http://pwu.fedorapeople.org/ime/ibus-handwrite.spec
SRPM URL: http://pwu.fedorapeople.org/ime/ibus-handwrite-1.2.0.20100205-2.fc12.src.rpm

The changes are:
1. Use textual format of model data in zinnia-tomoe tar ball instead of binary format file. (The model data need to be copied to ibus-handwrite data sub-directory in order to let ibus-handwrite use the generated model data.)
2. Bump the release to 2.

Please review the new package and spec.

Comment 4 Chen Lei 2010-03-13 05:39:09 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > The model file(SOURCE1) maybe come from Zinnia-Tomoe package, model can be
> > compiled from model.txt file.
> Hi Chen Lei,
> Thanks for informing me this.
> Would you like to co-maintain this package?
> The updated srpm and spec is here:
> Spec URL: http://pwu.fedorapeople.org/ime/ibus-handwrite.spec
> SRPM URL:
> http://pwu.fedorapeople.org/ime/ibus-handwrite-1.2.0.20100205-2.fc12.src.rpm
> The changes are:
> 1. Use textual format of model data in zinnia-tomoe tar ball instead of binary
> format file. (The model data need to be copied to ibus-handwrite data
> sub-directory in order to let ibus-handwrite use the generated model data.)
> 2. Bump the release to 2.
> Please review the new package and spec.    

I think it's a good idea to package ibus-handwrite and zinnia-tomoe separately.
It has several advantages: 
1.ibus-handwrite and zinnia-tomoe have different upstreams, according to the package guideline fedora packages should make every effort to avoid having multiple, separate, upstream projects bundled together in a single package.
2. People using x86_64 PC normally install both i686 and x86_64 ibus to adapt to some legacy x32 programs. The model files are rather big files and also arch independent, if we include them in ibus-handwrite, people should download them twice.
3.Other program also use those model files, such as tegaki
4.Packaging zinnia-tomoe is rather a simple thing.

So I recommand you to package ibus-handwrite and zinnia-tomoe separately, then create symlinks from model files to data dir. I'll review zinnia-tomoe for you.

Comment 5 Chen Lei 2010-04-04 07:44:15 UTC
Hi Peng Wu,

Yesterday, I talked with microcai(ibus-handwrite owner) and he said ibus-handwrite doesn't depend on zinnia from now on. 
He also recommend us to wait for the next stable version of ibus-handwrite.

Comment 6 DemetrisK 2010-04-19 11:17:42 UTC
Hi. I have a few questions, I built and installed the provided srpm and a new im engine was installed for ibus that allows me to input only CN Kanji characters. Is this what is supposed to happen? Or there is Japanese support too, like there was in scim-tomoe? In the /BUILD I can see a zinnia-tomoe folder (this is probably what I wanted to install at the first place) but not any trace of it being installed along with ibus-handwrite. 

Oh, and I wanted to ask when can we except any of the available Japanese Handwriting input methods to be included in the stable repos.

Comment 7 Peng Wu 2010-04-20 02:11:34 UTC
Hi DemetrisK,
  In ibus-handwrite code, this package hard coded zh_CN.model. Currently it doesn't support Japanese Handwriting input methods.
  Maybe you can try Open-Source Chinese and Japanese Handwriting Recognition(http://tegaki.org/). dunno, whether it exists in Fedora yet.

Comment 8 Peng Wu 2010-04-23 07:34:49 UTC
Hi DemetrisK,
  We talked with the author microcai, and he added the Japanese zinnia model file support for ibus-handwrite.
  From here:http://code.google.com/p/ibus-handwrite/downloads/list
  The handwriting-ja.model (Japanese zinnia tomoe model file) support is added in next version.

Comment 9 DemetrisK 2010-04-23 11:02:35 UTC
I see, thanks. I'm going to give it a try soon. I guess the same spec file will do?

Comment 10 Peng Wu 2010-04-26 07:29:21 UTC
(In reply to comment #9)
> I see, thanks. I'm going to give it a try soon. I guess the same spec file will
> do?    

The ibus-handwrite spec needs to add some modifications to it, I will post a new spec soon. And it will depends on a new srpm zinnia-tomoe.

Comment 11 Peng Wu 2010-04-27 03:39:41 UTC
(In reply to comment #9)
> I see, thanks. I'm going to give it a try soon. I guess the same spec file will
> do?    

welcome.

I post a new version of ibus-handwrite spec and srpm on:
http://pwu.fedorapeople.org/ibus-handwrite/
and the zinnia-tomoe package can be found here:
http://pwu.fedorapeople.org/zinnia-tomoe/

Feel free to try it. :)

Comment 12 DemetrisK 2010-04-27 16:08:20 UTC
Works just fine. Although the spec file seems to be coded for a specific user and drops to root when it can find it. I don't know if this is normal, but other srpm I built weren't like this.

I guess all the related feedback about ibus-handwrite should be posted at http://code.google.com/p/ibus-handwrite/ ... I have a few recommendations...

Comment 13 Jens Petersen 2010-05-27 06:08:19 UTC
Why:
 export LDFLAGS=" -lm "
?

(In reply to comment #12)
> Although the spec file seems to be coded for a specific user
> and drops to root when it can find it. I don't know if this is normal, but
> other srpm I built weren't like this.

Could you explain - I didn't understand this comment.

Peng Wu, please post direct urls to the spec and srpm. :)

Comment 14 Peng Wu 2010-05-27 06:16:24 UTC
(In reply to comment #13)
> Why:
>  export LDFLAGS=" -lm "
> ?

I think this is because gcc now requires to explicit link all related library, it now can't be implicit link as the past.

Comment 15 Peng Wu 2010-05-27 06:18:13 UTC
The updated srpm and spec is here:
Spec URL: http://pwu.fedorapeople.org/ibus-handwrite/ibus-handwrite.spec
SRPM URL: http://pwu.fedorapeople.org/ibus-handwrite/ibus-handwrite-2.1.0-1.fc13.src.rpm

Please review it.

Comment 16 Chen Lei 2010-05-27 06:30:53 UTC
Some initial comment
1.
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define mod_path ibus-1.2
%define zinnia_tomoe_version 0.6.0-20080911

It seems those macros are not used in spec?

2.Patch0:     ibus-handwrite-2.0.1-fixes-ibus-component-xml.patch
Is this patch specific to fedora?

3.
BuildRequires:  zinnia-devel zinnia-tomoe
->BuildRequires:  zinnia-devel
Requires:   ibus gtk2
-> ibus

4.
%build
./autogen.sh
You don't modify configure.ac or Makefile.am, this may be not needed.

5.
%files
%dir %{_datadir}/ibus-handwrite
%{_datadir}/ibus-handwrite/icons/ibus-handwrite.svg
%{_datadir}/ibus-handwrite/data/table.txt
->
%files
%{_datadir}/ibus-handwrite

You must own all directories in %{_datadir}/ibus-handwrite.

6.

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%install
rm -rf $RPM_BUILD_ROOT

Those two line are only needed for EPEL5.

Comment 17 Peng Wu 2010-06-01 05:50:33 UTC
(In reply to comment #16)
> Some initial comment
> 1.
> %{!?python_sitelib: %define python_sitelib %(%{__python} -c "from
> distutils.sysconfig import get_python_lib; print get_python_lib()")}
> %{!?python_sitearch: %define python_sitearch %(%{__python} -c "from
> distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
> 
> %define mod_path ibus-1.2
> %define zinnia_tomoe_version 0.6.0-20080911
> 
> It seems those macros are not used in spec?
removed.
> 
> 2.Patch0:     ibus-handwrite-2.0.1-fixes-ibus-component-xml.patch
> Is this patch specific to fedora?
> 
Not specific.
> 3.
> BuildRequires:  zinnia-devel zinnia-tomoe
> ->BuildRequires:  zinnia-devel
> Requires:   ibus gtk2
> -> ibus
> 
merged.
> 4.
> %build
> ./autogen.sh
> You don't modify configure.ac or Makefile.am, this may be not needed.
> 
commented out.
> 5.
> %files
> %dir %{_datadir}/ibus-handwrite
> %{_datadir}/ibus-handwrite/icons/ibus-handwrite.svg
> %{_datadir}/ibus-handwrite/data/table.txt
> ->
> %files
> %{_datadir}/ibus-handwrite
> 
> You must own all directories in %{_datadir}/ibus-handwrite.
> 
merged.
> 6.
> 
> BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
> 
> %install
> rm -rf $RPM_BUILD_ROOT
> 
> Those two line are only needed for EPEL5.    
removed.

Comment 18 Peng Wu 2010-06-01 05:52:52 UTC
The updated srpm and spec is here:
Spec URL: http://pwu.fedorapeople.org/ibus-handwrite/ibus-handwrite.spec
SRPM URL:
http://pwu.fedorapeople.org/ibus-handwrite/ibus-handwrite-2.1.0-2.fc13.src.rpm

Please review it, thanks in advance.

Comment 19 Chen Lei 2010-06-01 10:22:36 UTC
 +:ok, =:needs attention, -:needs fixing

MUST Items:
[+] MUST: rpmlint must be run on every package.
ibus-handwrite.src: W: no-cleaning-of-buildroot %install
ibus-handwrite.src: W: no-buildroot-tag
ibus-handwrite.src: W: invalid-url Source0: http://ibus-handwrite.googlecode.com/files/ibus-handwrite-2.1.0.tar.bz2 HTTP Error 404: Not Found

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}
[+] MUST: The package must meet the Packaging Guidelines. [FIXME?: covers this list and more]
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.
8802882e535f825713088db12569f103
[+] MUST: The package must successfully compile and build into binary rpms on at least one supported architecture.
[+] MUST: All build dependencies must be listed in BuildRequires
[+] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


The package is approved.

Comment 20 Chen Lei 2010-06-01 10:35:15 UTC
Some issue unrelated to package review need attention:
1.patch0 should send to upstram
2.The debuginfo package for zinnia is incorrect, you should use make CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags} instead of make %{?_smp_mflags}.

Comment 21 Peng Wu 2010-06-02 06:47:32 UTC
Thanks for reviewing.

(In reply to comment #20)
> Some issue unrelated to package review need attention:
> 1.patch0 should send to upstram
Will do it later.

> 2.The debuginfo package for zinnia is incorrect, you should use make
> CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags} instead of
> make %{?_smp_mflags}.    
Will check this when importing.

Comment 22 Peng Wu 2010-06-02 07:09:20 UTC
New Package CVS Request
=======================
Package Name:  ibus-handwrite
Short Description: hand write recognition/input using ibus IM engine
Owners: pwu
Branches: F-12 F-13
InitialCC: petersen phuang i18n-team

Comment 23 Kevin Fenzi 2010-06-03 20:11:24 UTC
CVS done (by process-cvs-requests.py).

Comment 24 Fedora Update System 2010-06-06 06:08:12 UTC
ibus-handwrite-2.1.0-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/ibus-handwrite-2.1.0-2.fc13

Comment 25 Fedora Update System 2010-06-07 22:18:44 UTC
ibus-handwrite-2.1.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2010-07-20 02:13:40 UTC
ibus-handwrite-2.1.0-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ibus-handwrite-2.1.0-2.fc12

Comment 27 Fedora Update System 2010-07-27 06:00:16 UTC
ibus-handwrite-2.1.0-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ibus-handwrite-2.1.0-2.fc12

Comment 28 Fedora Update System 2010-07-30 08:44:01 UTC
ibus-handwrite-2.1.0-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 29 Peng Wu 2014-09-29 09:46:11 UTC
Package Change Request
======================
Package Name: ibus-handwrite
New Branches: epel7
Owners: pwu

Comment 30 Gwyn Ciesla 2014-09-29 11:57:43 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.